#

Function NUMBERP

Syntax:

numberp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type number; otherwise, returns false.

Examples:

     (numberp 12) =>  true
     (numberp (expt 2 130)) =>  true
     (numberp #c(5/3 7.2)) =>  true
     (numberp nil) =>  false
     (numberp (cons 1 2)) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (numberp object) ==  (typep object 'number)

Copyright 1996-2001, Xanalys Inc. All rights reserved.